classification
Title: android: test_threading hangs on armv7
Type: behavior Stage: resolved
Components: Cross-Build, Tests Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: 26939 Superseder:
Assigned To: xdegaye Nosy List: Alex.Willmer, python-dev, xdegaye
Priority: normal Keywords: patch

Created on 2016-05-03 15:47 by xdegaye, last changed 2016-12-08 12:54 by xdegaye. This issue is now closed.

Files
File name Uploaded Description Edit
test_threading_gdb_bt.txt xdegaye, 2016-05-06 19:20 gdb back trace
setswitchinterval.patch xdegaye, 2016-10-28 07:29 review
Messages (5)
msg264744 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-05-03 15:47
test_threading hangs on an android emulator running an armv7 system image (but not on x86) at API level 21. The test suite hangs at

test_is_alive_after_fork (test.test_threading.ThreadTests) ...

A cause of this problem may be related to the fact that the android arm emulator runs very, very slowly.
msg264759 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-05-03 19:11
Interestingly, all the tests (issues #26938, #26939, #26940 and #26941) that hang on arm use sys.setswitchinterval() aggressively.
msg265008 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-05-06 19:20
Adding the back trace.
msg279590 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-10-28 07:29
Adding a dependency to issue 26939.
Patch attached.
msg282705 - (view) Author: Roundup Robot (python-dev) Date: 2016-12-08 11:22
New changeset b64ba5604e48 by Xavier de Gaye in branch '3.6':
Issue #26941: Fix test_threading that hangs on the Android armv7 qemu emulator.
https://hg.python.org/cpython/rev/b64ba5604e48

New changeset 8688a664995c by Xavier de Gaye in branch 'default':
Issue #26941: Merge 3.6.
https://hg.python.org/cpython/rev/8688a664995c
History
Date User Action Args
2016-12-08 12:54:45xdegayesetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2016-12-08 11:22:26python-devsetnosy: + python-dev
messages: + msg282705
2016-11-17 16:30:01xdegayesetstage: patch review -> commit review
2016-10-28 07:29:02xdegayesetfiles: + setswitchinterval.patch

dependencies: + android: test_functools hangs on armv7
assignee: xdegaye
components: + Tests, - Library (Lib)
versions: + Python 3.7
keywords: + patch
messages: + msg279590
stage: patch review
2016-05-21 07:06:39xdegayelinkissue26865 dependencies
2016-05-06 19:20:24xdegayesetfiles: + test_threading_gdb_bt.txt

messages: + msg265008
2016-05-03 19:11:15xdegayesetmessages: + msg264759
2016-05-03 15:47:06xdegayecreate